<section class="container-fluid animated fadeIn bg-blur">
  <div class="row wall wall-sm mb">
    <div class="col-md-auto">
      <button class="btn-outline w-100" routerLink="/panel/directors/add" [queryParams]="query.params()">{{ 'directors.create.title' | translate }}</button>
    </div>
    <div class="col-md col-sm-hidden"></div>
    <div class="col-md-auto">
      <input class="search-input small text-center" type="text" [ngModel]="filters.search"
        (keyup)="search.pass($event, 'directors')" placeholder="{{ 'search' | translate }}">
    </div>
  </div>
  <div class="row pb">
    <div class="col-12">
      <div class="wall">
        <div class="table-wrapper">
          <table class="table">
            <thead>
              <th>#</th>
              <th>{{ 'actors.create.profile_image' | translate }}</th>
              <th [ngClass]="order('name')" (click)="sort('name')">
                {{ 'actors.create.name' | translate }}
                <span class="fa fa-sort"></span>
              </th>
              <th>{{ 'key' | translate }}</th>
              <th>{{ 'upload.create.description' | translate }}</th>
              <th [ngClass]="order('created_at')" (click)="sort('created_at')">
                {{ 'actors.list.create-date' | translate }}
                <span class="fa fa-sort"></span>
              </th>
              <th class="text-center">{{ 'operation.actions' | translate }}</th>
            </thead>
            <tbody>
              <tr *ngFor="let res of directores;index as index">
                <td>{{index+ rowOffset }}</td>
                <td>
                  <div class="poster-import">
                    <img loading="lazy" width="52px" height="52px" [src]="res.profile ? '/api/media/'+res.profile : '/static/images/default-avatar.png'" alt="poster">
                  </div>
                </td>
                <td>
                  {{ res.name }}
                </td>
                <td>
                  {{ res.key }}
                </td>
                <td>
                  {{res.description|excerpt}}
                </td>
                <td>{{ res.uploaded_at | jalali}}</td>
                <td class="text-center">
                  <div class="fa fa-edit tools edit px-2" [routerLink]="['/panel/directors/edit', res.id]" title="{{'upload.list.edit' | translate}}"></div>
                  <div class="fa fa-trash tools delete" (click)="deleteDirector(res.id)"></div>
                </td>
              </tr>
            </tbody>
            <tfoot>
              <tr [hidden]="directores.length">
                <td colspan="6" class="text-center">
                  <b>{{ 'table.empty' | translate }}</b>
                </td>
              </tr>
            </tfoot>
          </table>
        </div>
      </div>
    </div>
  </div>

  <div class="row pb">
    <div class="col">
      <pagination [totalRecords]="totalPages * filters.limit" [recordsPerPage]="filters.limit" (onPageChange)="getDirectors($event)"></pagination>
    </div>
  </div>

</section>